ru.bitel.bgbilling.modules.qiwi.server.bean

## Enum AbstractQiwiProtocol.QiwiResultCode

- java.lang.Object
- - java.lang.Enum<AbstractQiwiProtocol.QiwiResultCode>
  - - ru.bitel.bgbilling.modules.qiwi.server.bean.AbstractQiwiProtocol.QiwiResultCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AbstractQiwiProtocol.QiwiResultCode>
  Enclosing class:
    AbstractQiwiProtocol

      protected static enum AbstractQiwiProtocol.QiwiResultCode
      extends java.lang.Enum<AbstractQiwiProtocol.QiwiResultCode>

  Коды ошибок. Используется и в soap, и в rest-версиях протокола.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTH_ERROR`
    `BILL_ALREADY_EXIST`
    `BILL_MODIFYING_DENYED`
    `BILL_NOT_FOUND`
    `BLOCKED_APIID`
    `BLOCKED_IP`
    `BLOCKED_PROVIDER_AUTH`
    `CONVERT_COURCE_UNAVAILABLE`
    `DENYED_CURRENCY`
    `INCORRECT_OPERATION`
    `INCORRECT_PHONE`
    `INCORRECT_REQUEST_DATA`
    `MONTH_LIMIT_OVER`
    `PROTOCOL_ERROR`
    `REQUIRED_PARAMETER_IS_EMPTY`
    `SERVER_BUSY`
    `SUCCESS`
    `SUMM_TOO_BIG`
    `SUMM_TOO_SMALL`
    `TECHNICAL_ERROR`
    `UNAUTHORED`
    `UNDEFINED_MOBILE_OPERATOR`
    `WALLET_NOT_REGISTERED`
    `WALLET_TEMPORARELY_BLOCKED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static AbstractQiwiProtocol.QiwiResultCode` | `getResultCodeByCode(int code)`
    `java.lang.String` | `getTitle()`
    `static AbstractQiwiProtocol.QiwiResultCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AbstractQiwiProtocol.QiwiResultCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final AbstractQiwiProtocol.QiwiResultCode SUCCESS

    - #### INCORRECT_REQUEST_DATA

          public static final AbstractQiwiProtocol.QiwiResultCode INCORRECT_REQUEST_DATA

    - #### SERVER_BUSY

          public static final AbstractQiwiProtocol.QiwiResultCode SERVER_BUSY

    - #### INCORRECT_OPERATION

          public static final AbstractQiwiProtocol.QiwiResultCode INCORRECT_OPERATION

    - #### AUTH_ERROR

          public static final AbstractQiwiProtocol.QiwiResultCode AUTH_ERROR

    - #### PROTOCOL_ERROR

          public static final AbstractQiwiProtocol.QiwiResultCode PROTOCOL_ERROR

    - #### BLOCKED_APIID

          public static final AbstractQiwiProtocol.QiwiResultCode BLOCKED_APIID

    - #### BILL_NOT_FOUND

          public static final AbstractQiwiProtocol.QiwiResultCode BILL_NOT_FOUND

    - #### BILL_ALREADY_EXIST

          public static final AbstractQiwiProtocol.QiwiResultCode BILL_ALREADY_EXIST

    - #### SUMM_TOO_SMALL

          public static final AbstractQiwiProtocol.QiwiResultCode SUMM_TOO_SMALL

    - #### SUMM_TOO_BIG

          public static final AbstractQiwiProtocol.QiwiResultCode SUMM_TOO_BIG

    - #### WALLET_NOT_REGISTERED

          public static final AbstractQiwiProtocol.QiwiResultCode WALLET_NOT_REGISTERED

    - #### TECHNICAL_ERROR

          public static final AbstractQiwiProtocol.QiwiResultCode TECHNICAL_ERROR

    - #### INCORRECT_PHONE

          public static final AbstractQiwiProtocol.QiwiResultCode INCORRECT_PHONE

    - #### BLOCKED_PROVIDER_AUTH

          public static final AbstractQiwiProtocol.QiwiResultCode BLOCKED_PROVIDER_AUTH

    - #### UNAUTHORED

          public static final AbstractQiwiProtocol.QiwiResultCode UNAUTHORED

    - #### BLOCKED_IP

          public static final AbstractQiwiProtocol.QiwiResultCode BLOCKED_IP

    - #### REQUIRED_PARAMETER_IS_EMPTY

          public static final AbstractQiwiProtocol.QiwiResultCode REQUIRED_PARAMETER_IS_EMPTY

    - #### MONTH_LIMIT_OVER

          public static final AbstractQiwiProtocol.QiwiResultCode MONTH_LIMIT_OVER

    - #### WALLET_TEMPORARELY_BLOCKED

          public static final AbstractQiwiProtocol.QiwiResultCode WALLET_TEMPORARELY_BLOCKED

    - #### DENYED_CURRENCY

          public static final AbstractQiwiProtocol.QiwiResultCode DENYED_CURRENCY

    - #### CONVERT_COURCE_UNAVAILABLE

          public static final AbstractQiwiProtocol.QiwiResultCode CONVERT_COURCE_UNAVAILABLE

    - #### UNDEFINED_MOBILE_OPERATOR

          public static final AbstractQiwiProtocol.QiwiResultCode UNDEFINED_MOBILE_OPERATOR

    - #### BILL_MODIFYING_DENYED

          public static final AbstractQiwiProtocol.QiwiResultCode BILL_MODIFYING_DENYED

  - ### Method Detail

    - #### values

          public static AbstractQiwiProtocol.QiwiResultCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractQiwiProtocol.QiwiResultCode c : AbstractQiwiProtocol.QiwiResultCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractQiwiProtocol.QiwiResultCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### getTitle

          public java.lang.String getTitle()

    - #### getResultCodeByCode

          public static AbstractQiwiProtocol.QiwiResultCode getResultCodeByCode(int code)